View Issue Details

IDProjectCategoryView StatusLast Update
0013630ScribusOS-Win32public2019-11-17 04:44
ReporterMalRaggett Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platform1.4.5OSWindows 10OS Version64-bit
Product Version 
Target VersionFixed in Version1.5.6.svn 
Summary0013630: Add Registry support for fonts in Windows
DescriptionAnyone using a lot of fonts on a regular basis will be using font management software (in my case Extensis Suitcase Fusion, but that's by-the-by). All the packages I've looked at on Windows manipulate Windows Registry keys to temporarily or permanently activate fonts that aren't part of the core set in the system font folder. I'm aware that Scribus provides a mechanism to include fonts in other folders, and I've also seen the Q&A in the wiki http://wiki.scribus.net/canvas/Editing that asks
>>I'm using Linotype Fontexplorer X as font management tool. Will Scribus support activation and deactivation with this tool? <<
to which the response is (dated 2013)
>>There are no plans to and Scribus comes with the ability to add font paths independent of the operating system making this somewhat redundant. <<
If this is still the policy I have to disagree and point out that Windows Registry has been the preferred mechanism for font support for about 16 years. All Adobe and MS apps support this mechanism but not Scribus, which is making font management a problem for those of us using a lot of fonts in a range of applications.

Please could you reconsider your position on font management and add support for Windows Registry keys
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Fonts
and
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Type 1 Installer\Type 1 Fonts
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0015913 closedjghali new installed or changed Font ist not useable 

Activities

Kunda

2016-03-09 17:01

manager   ~0039087

Jghali, what say you?

Issue History

Date Modified Username Field Change
2016-01-05 13:49 MalRaggett New Issue
2016-03-09 17:01 Kunda Note Added: 0039087
2016-03-09 17:01 Kunda Category Fonts => OS-Win32
2019-11-08 22:53 jghali Summary Need Registry support for fonts in Windows => Add Registry support for fonts in Windows
2019-11-08 22:54 jghali Assigned To => jghali
2019-11-08 22:54 jghali Status new => resolved
2019-11-08 22:54 jghali Resolution open => fixed
2019-11-08 22:54 jghali Fixed in Version => 1.5.6.svn
2019-11-17 04:44 jghali Relationship added has duplicate 0015913